# w-window

Adds supports for \[PBWindowComponent]

## Implementation  Details

> **Component Selector:** 'wm-window'

## Class inheritance

PBWindowComponent extends [BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md).

## Support

### Properties

| Property                | Get/Set | Notify Changes | Details                                                                                                                                                                |
| ----------------------- | ------- | -------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| backColor: string       | Yes/No  | No             | Specifies the numerical value of the background color of the window.                                                                                                   |
| center: boolean         | Yes/No  | No             | Causes the window to be centered.                                                                                                                                      |
| controlMenu: boolean    | Yes/No  | No             | Specifies whether the Control Menu box displays in the title bar.                                                                                                      |
| enabled: boolean        | Yes/Yes | No             | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md) |
| height: number          | Yes/Yes | No             | Specifies the height of the window.                                                                                                                                    |
| icon: string            | Yes/Yes | No             | Specifies a reference for icon.                                                                                                                                        |
| maxBox: boolean         | Yes/No  | No             | Specifies whether a Maximize Box displays in the title bar.                                                                                                            |
| minBox: boolean         | Yes/No  | No             | Specifies whether a Minimize Box displays in the title bar.                                                                                                            |
| name: string            | Yes/Yes | No             | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md) |
| title: string           | Yes/No  | No             | Specifies the text of the window title.                                                                                                                                |
| titleBar: boolean       | Yes/No  | No             | Specifies whether a title bar displays.                                                                                                                                |
| visible: boolean        | Yes/Yes | No             | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md) |
| width: number           | Yes/No  | No             | Specifies the width of the window, in PowerBuilder units.                                                                                                              |
| windowState: enumerated | Yes/No  | Yes            | Specifies the state in which you want to run a window.                                                                                                                 |
| windowType: enumerated  | Yes/No  | No             | Specifies the type of window.                                                                                                                                          |
| x: number               | Yes/Yes | No             | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md) |
| y: number               | Yes/Yes | No             | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md) |

### Events

| Event       | Supported | Parameter       | Details                       |
| ----------- | --------- | --------------- | ----------------------------- |
| WindowClose | Yes       | **$event**: any | Triggers `WindowClose` Event. |
| resize      | Yes       | **$event**: any | Triggers `resize` Event.      |
| getfocus    | Yes       | **$event**: any | Triggers `getfocus` Event.    |
| losefocus   | Yes       | **$event**: any | Triggers `losefocus` Event.   |

### Functions

Function | Supported | Details changeMenuHandler | Yes | Changes the menu associated with a window. resizeHandler | Yes | Changes the size of the window to the size specified in the width and height arguments.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/powerbuilder-kendo-components/window-components/w-window.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
